# css-razor

css-razor removes unused selectors. It accomplishes a similar task as uncss, but rather than loading a webpage with phantomjs and using document.querySelector to detect selector usage, css-razor loads the static HTML (easily generated by react) and parses it with cheeriojs to remove unused selectors.

- Helps trim down your CSS to the essentials
- Built for speed
- Supports multiple files
- Supports raw input


## Getting Started

```bash
npm install --save-dev css-razor
```

You can then use the cli

```bash
css-razor src/index.css src/index.html > index.smaller.css
```

Or you can use the js api

```js
const cssRazor = require('css-razor').default

cssRazor({
  htmlFiles: ['test/input/index.html'],
  cssFiles: ['test/input/index.css'],
}, function(err, data) {
  console.log(data.css)
})
```


## React Example

Coming soon!


## Todo

- react example
- tests for raw and multi file
- test for postcss plugin usage
